Package org.eclipse.rdf4j.rio.rdfxml.util

## Class RDFXMLPrettyWriterFactory

- java.lang.Object
- - org.eclipse.rdf4j.rio.rdfxml.util.RDFXMLPrettyWriterFactory

- All Implemented Interfaces:
    `RDFWriterFactory`

      public class RDFXMLPrettyWriterFactory
      extends Object
      implements RDFWriterFactory

  An `RDFWriterFactory` for RDF/XML writers.
  Author:
    Arjohn Kampman

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `RDFXMLPrettyWriterFactory()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `RDFFormat` | `getRDFFormat()` | Returns `RDFFormat.RDFXML`.
    `RDFWriter` | `getWriter​(OutputStream out)` | Returns a new instance of `RDFXMLPrettyWriter`.
    `RDFWriter` | `getWriter​(OutputStream out, String baseURI)` | Returns a new instance of `RDFXMLPrettyWriter`.
    `RDFWriter` | `getWriter​(Writer writer)` | Returns a new instance of `RDFXMLPrettyWriter`.
    `RDFWriter` | `getWriter​(Writer writer, String baseURI)` | Returns a new instance of `RDFXMLPrettyWriter`.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### RDFXMLPrettyWriterFactory

          public RDFXMLPrettyWriterFactory()

  - ### Method Detail

    - #### getRDFFormat

          public RDFFormat getRDFFormat()

      Returns `RDFFormat.RDFXML`.
      Specified by:
        `getRDFFormat` in interface `RDFWriterFactory`

    - #### getWriter

          public RDFWriter getWriter​(OutputStream out)

      Returns a new instance of `RDFXMLPrettyWriter`.
      Specified by:
        `getWriter` in interface `RDFWriterFactory`
      Parameters:
        `out` - The OutputStream to write the RDF to.

    - #### getWriter

          public RDFWriter getWriter​(OutputStream out,
                                     String baseURI)
                              throws URISyntaxException

      Returns a new instance of `RDFXMLPrettyWriter`.
      Specified by:
        `getWriter` in interface `RDFWriterFactory`
      Parameters:
        `out` - The OutputStream to write the RDF to.
        `baseURI` - The URI associated with the data in the InputStream.
      Throws:
        `URISyntaxException`

    - #### getWriter

          public RDFWriter getWriter​(Writer writer)

      Returns a new instance of `RDFXMLPrettyWriter`.
      Specified by:
        `getWriter` in interface `RDFWriterFactory`
      Parameters:
        `writer` - The Writer to write the RDF to.

    - #### getWriter

          public RDFWriter getWriter​(Writer writer,
                                     String baseURI)
                              throws URISyntaxException

      Returns a new instance of `RDFXMLPrettyWriter`.
      Specified by:
        `getWriter` in interface `RDFWriterFactory`
      Parameters:
        `writer` - The Writer to write the RDF to.
        `baseURI` - The URI associated with the data in the InputStream.
      Throws:
        `URISyntaxException`